Page MenuHomePhabricator

CentralNotice: use EventLogging instead of custom beacon
Closed, ResolvedPublic4 Estimated Story Points

Description

Part of the KafkaTee pipeline replacement

Need to define a schema and update the CN subscribing wiki client-side code

Could add the EventLogging and have both up for a bit to compare numbers.

Event Timeline

Ejegg created this task.Jan 29 2018, 8:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2018, 8:29 PM

Change 408488 had a related patch set uploaded (by AndyRussG; owner: AndyRussG):
[mediawiki/extensions/CentralNotice@master] Impression events via EventLogging

https://gerrit.wikimedia.org/r/408488

Change 408488 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Impression events via EventLogging

https://gerrit.wikimedia.org/r/408488

Ejegg added a comment.Mar 13 2018, 7:50 PM

Checked on the beta cluster, the events are showing up in the validated events log!

https://wikitech.wikimedia.org/wiki/Analytics/Systems/EventLogging/TestingOnBetaCluster#How_to_verify_events

Ejegg closed this task as Resolved.Mar 27 2018, 7:58 PM
Ejegg assigned this task to AndyRussG.
Ejegg triaged this task as High priority.
Ejegg set the point value for this task to 4.